Name:		goagent
Version:	3.1.2
Release:	1%{?dist}
Summary:	A GAE proxy forked from gapproxy/wallproxy
Summary(zh_CN):	由 gapproxy/wallproxy 派生出来的 GAE 代理
License:	GPL
URL:		https://github.com/goagent/goagent
Group:		Applications/Internet
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-gtk.desktop
Source2:	%{name}-logo.png
Source3:	%{name}.service
Source4:	%{name}-gtk
Requires:	python python-gevent pyOpenSSL vte python-pydns python-crypto
Requires(post):	desktop-file-utils systemd
Requires(preun):	systemd
Requires(postun):	desktop-file-utils systemd
BuildRequires:	desktop-file-utils systemd

%description
A GAE proxy forked from gapproxy/wallproxy

%description -l zh_CN
Goagent 是一种网络代理工具，它是 gappproxy/wallproxy 的一个分支。

%global  install_path /opt/%{name}

%prep
%setup -q -n %{name}-%{version}
find local -type f -name *.py \
       -exec sed -i -re "ls/python2?/python2/" {} \;

%build
echo "Nothing to build"

%install
%{__rm} -rf $RPM_BUILD_ROOT

# create dirs
%{__install} -d -m755 $RPM_BUILD_ROOT/%{install_path}/{local,server} \
		$RPM_BUILD_ROOT/etc \
		$RPM_BUILD_ROOT/%{_bindir} \
		$RPM_BUILD_ROOT/%{_datadir}/pixmaps \
		$RPM_BUILD_ROOT/%{_unitdir}

# copy files to dirs
cp -r local/* $RPM_BUILD_ROOT/%{install_path}/local/
cp -r server/* $RPM_BUILD_ROOT/%{install_path}/server/
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_unitdir}/%{name}.service
%{__install} -m755 %{SOURCE4} $RPM_BUILD_ROOT/%{_bindir}/%{name}-gtk

# delete files only needed for MS Windows
rm -rf %{buildroot}/%{install_path}/local/*.{bat,exe,js,vbs,dll,manifest,command}
rm -rf %{buildroot}/%{install_path}/local/python27.zip
rm -rf %{buildroot}/%{install_path}/server/uploader.bat

# Avoid using basearch in name for the key. Introduced in F18
ln -sf %{install_path}/local/proxy.ini $RPM_BUILD_ROOT%{_sysconfdir}/goagent.conf

# install desktop file 
desktop-file-install \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
   %{SOURCE1}

%post
%systemd_post %{name}.service
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
/bin/touch --no-create %{_datadir}/pixmaps &> /dev/null || :

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

if [ $1 -eq 0 ] ; then
   /bin/touch --no-create %{_datadir}/pixmaps &> /dev/null || :
   /usr/bin/gtk-update-icon-cache %{_datadir}/pixmaps &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/pixmaps &> /dev/null || :

%files
%defattr(-,root,root)
%{install_path}/
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_unitdir}/%{name}.service

%changelog
* Thu Mar 14 2013 Easior Lars <easior@fedoraproject.org> - 3.1.2-1
- Initial release.
